def luna_add(a, b):

    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a[i]), int(b[i])))
    return result

def lunar_multi(a, b):
    a = a.zfill(len(b))
    b = b.zfill(len(a))
    rows = []
    for i, digit_b in enumerate(reversed(b)):
        row = ""
        carry = 0
        for digit_a in reversed(a):
            digit_product = min(int(digit_a), int(digit_b)) + carry
            row = str(digit_product % 10) + row
            carry = digit_product // 10
        if carry > 0:
            row = str (carry) + row
        rows.append(row + '0' * i)
    result = "0"
    for row in rows:
        result = luna_add(result, row)
    return result.lstrip('0') or "0"
num1 = input()
num2 = input()

if not num1.isdigit() or not num2.isdigit():
    print("nothing")
else:
    lunar_sum = luna_add(num1, num2)
    lunar_prod = lunar_multi(num1, num2)
    print (lunar_sum, lunar_prod)